summaryrefslogtreecommitdiff
path: root/repo/devel/automake/automake.xibuild
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-05-04 23:52:30 +0100
committerdavidovski <david@davidovski.xyz>2022-05-04 23:52:30 +0100
commit739c65c54cb0e957df5e9b76f93fb02554e5cac3 (patch)
tree09ddfa0a342f3ea9de136cb50abdd79821bf1b53 /repo/devel/automake/automake.xibuild
parent4c585ad54388285500fd18a6aaa516894e0f2c16 (diff)
moved everything to new file formatting
Diffstat (limited to 'repo/devel/automake/automake.xibuild')
-rw-r--r--repo/devel/automake/automake.xibuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/repo/devel/automake/automake.xibuild b/repo/devel/automake/automake.xibuild
new file mode 100644
index 0000000..8b8951f
--- /dev/null
+++ b/repo/devel/automake/automake.xibuild
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+MAKEDEPS="make autoconf"
+DEPS="perl bash"
+
+PKG_VER=1.16.5
+SOURCE=https://ftp.gnu.org/gnu/automake/automake-$PKG_VER.tar.xz
+DESC="A GNU tool for automatically creating Makefiles"
+
+build () {
+ ./configure --prefix=/usr -docdir=/usr/share/doc/automake-$PKG_VER
+ make
+}
+
+#check () {
+ #make -j4 check || true
+#}
+
+package () {
+ make DESTDIR=$PKG_DEST install
+
+ # backwards compatibility?
+ ln -s /usr/bin/aclocal $PKG_DEST/usr/bin/aclocal-1.15
+}